/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- 
00. CORE
01. SITEWIDE
02. HEADER
03. FOOTER
30. SPECIFIC PAGES
	31. Homepage
    32. Search Page
50. BLOCK CUSTOMISATIONS
60. WIDGETS
70. PLUGINS
80. CUSTOM POST TYPES
99. HOTFIXES & BUGS


/* ---------------------------------------------------
* 00. CORE 
* ---------------------------------------------------*/
:root {
  --global-palette-nettlplum: #60205a;
  --global-palette-nettlgold: #c3ab68;
}
/*Text balance */
.balance {
  text-wrap: balance;
}

/* ---------------------------------------------------
 * 01. SITEWIDE
 * ---------------------------------------------------*/
/* Limit max width of site */
body > div#wrapper {
  max-width: 2580px;
  margin: 0 auto;
}

/* BUTTONS */
/* slightly move svg on hover */
.wp-block-kadence-advancedbtn .kb-button.kt-btn-has-svg-true:hover {
  padding-right: 1.1rem;
  gap: 0.7rem;
}
/* travelling glow effect */
.wp-block-kadence-advancedbtn .kb-button {
  position: relative;
}
.wp-block-kadence-advancedbtn .kb-button::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 0;
  height: 240%;
  transform: translateY(-50%);
  background: var(--global-palette10);
  opacity: 1;
  transition: width 0.5s ease;
}
.wp-block-kadence-advancedbtn .kb-button.kb-btn-global-outline::before {
  background: var(--global-palette9);
}
.wp-block-kadence-advancedbtn .kb-button:hover::before {
  width: 100%;
}

/* --- Kadence Breadcrumbs Styling --- */
.kadence-breadcrumbs {
  font-family: "Alegreya", Georgia, serif !important;
  font-style: italic !important;
  font-weight: 700;
  font-size: 0.95rem;
  letter-spacing: 0.02em;
  color: #136538;
}

.kadence-breadcrumbs a {
  color: #136538;
  text-decoration: none;
  transition: color 0.3s ease;
}

/* Hover & Focus States */
.kadence-breadcrumbs a:hover,
.kadence-breadcrumbs a:focus {
  color: #003c3c;
  text-decoration: none;
}

/* ---------------------------------------------------
 * 02. FOOTER
 * ---------------------------------------------------*/

/* ---------------------------------------------------
 * 30. SPECIFIC PAGES
 * ---------------------------------------------------*/

/* ---------------------------------------------------
 * 31. Homepage
 * ---------------------------------------------------*/

/* ---------------------------------------------------
 * 32. Search Page
 * ---------------------------------------------------*/

/* ---------------------------------------------------
 * 50. BLOCK CUSTOMISATIONS
 * ---------------------------------------------------*/
/* Categories Links */
ul.wp-block-categories-list {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  list-style: none;
}
ul.wp-block-categories-list a {
  text-decoration: none;
  padding: 0.5rem 1rem;
  border-radius: 50px;
  border: 1px solid var(--global-palette2);
  transition: all 0.5s ease;
  color: var(--global-palette2);
}

/* Hover effect */
ul.wp-block-categories-list li a:hover {
  background: var(--global-palette2);
  color: var(--global-palette9);
}
/* ---------------------------------------------------
 * 60. WIDGETS
 * ---------------------------------------------------*/

/* ---------------------------------------------------
 * 70. PLUGINS
 * ---------------------------------------------------*/
/* 71. WP Social Ninja */
.wpsr-reviews-badge-wrapper.wpsr-reviews-badge-916 {
  width: auto;
}
body .wpsr-reviews-badge-wrapper .wpsr-reviews-badge-wrapper-inner .wpsr-business-info-logo .wpsr-business-info-platform-icon {
  height: 50px;
}

/* 72. Fluent Forms */
.fluentform .ff-el-group.ff_submit_btn_wrapper {
  margin-bottom: 0;
}
.fluentform.ff-default .ff_btn_no_style {
  border-radius: 50px;
  padding: 0.9rem 1.3rem 0.9rem 1.3rem;
}

/* Repeated from above to fix Kadence button hover effect on Fluent Forms submit button */
.fluentform.ff-default .ff_btn_no_style {
  position: relative;
  transition: all 0.5s ease;
}

.fluentform.ff-default .ff_btn_no_style:hover {
  background: var(--global-palette10);
}
/* ---------------------------------------------------
 * 80. CUSTOM POST TYPES
 * ---------------------------------------------------*/
.post-type-archive-portfolio .content-area {
  margin-top: 0;
}

/* ---------------------------------------------------
 * 99. HOTFIXES & BUGS
 * ---------------------------------------------------*/
